Products
Get All Products
Section titled “Get All Products”This endpoint retrieves all products.
HTTP Request
Section titled “HTTP Request”GET https://sandbox.reggora.io/lender/products
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
# Just an examplequery_params = { 'offset': 0, 'limit': 10, 'ordering': '-created',}
response = requests.get('https://sandbox.reggora.io/lender/products', params=query_params headers=headers)Example Response
Section titled “Example Response”{ "data": { "products": [ { "id": "5b50a31fc2b109000fc82af5", "product_name": "Products # 1AB", "amount": "300.01", "inspection_type": "interior", "requested_forms": "Product #1 Forms, Product #1 Extra Forms" }, { "id": "5b55d4c68d9472000fc432ef", "product_name": "5000", "amount": "5000.00", "inspection_type": "interior", "requested_forms": "1004 MC" }, { "id": "5beb226a828174000db1613e", "product_name": "Reggora Network Product", "amount": "500.00", "inspection_type": "interior", "requested_forms": null }, { "id": "5c2677c69121aa002245537c", "product_name": "Product 4", "amount": "100.00", "inspection_type": "exterior", "requested_forms": "unsupported forms" } ] }, "status": 200}Get Product
Section titled “Get Product”This endpoint retrieves a specific product by id.
HTTP Request
Section titled “HTTP Request”GET https://sandbox.reggora.io/lender/product/<product_id>
URL Parameters
Section titled “URL Parameters”| Parameter | Description |
|---|---|
| product_id | The ID of the product. |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
response = requests.get('https://sandbox.reggora.io/lender/product/<product_id>', headers=headers)Example Response
Section titled “Example Response”{ "data": { "product": { "id": "5b55d4c68d9472000fc432ef", "product_name": "Product #1", "amount": "5000.00", "inspection_type": "interior", "requested_forms": "1004 MC" } }, "status": 200}Delete Product
Section titled “Delete Product”This endpoint deletes a specific product. If an order or a loan is associated with this product the reference will not be broken.
HTTP Request
Section titled “HTTP Request”DELETE https://sandbox.reggora.io/lender/product/<product_id>
URL Parameters
Section titled “URL Parameters”| Parameter | Description |
|---|---|
| product_id | The ID of the product. |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
response = requests.delete('https://sandbox.reggora.io/lender/product/<product_id>', headers=headers)Example Response
Section titled “Example Response”{ "data": "Your product has been deleted", "status": 200}Create a Product
Section titled “Create a Product”This endpoint creates a product and returns the ID of the created product.
HTTP Request
Section titled “HTTP Request”POST https://sandbox.reggora.io/lender/product
Request Body Parameters
Section titled “Request Body Parameters”| Parameter | Description | Required |
|---|---|---|
| product_name | The description/title of the product. | True |
| amount | The non-zero, positive cost of the product. | True |
| inspection_type | ’interior’ or ‘exterior’ | True |
| requested_forms | Free text that can describe any unorthodox forms | False |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
body = { 'product_name': 'Full Appraisal', 'amount': '100.00', 'inspection_type': 'interior', 'requested_forms': '1004MC, BPO'}
response = requests.post('https://sandbox.reggora.io/lender/product', json=body, headers=headers)Example Response
Section titled “Example Response”{ "data": "5b55d4c68d9472000fc432ef", "status": 200}Edit a Product
Section titled “Edit a Product”This endpoint edits a product and returns the ID of the edited product.
HTTP Request
Section titled “HTTP Request”PUT https://sandbox.reggora.io/lender/product/<product_id>
URL Parameters
Section titled “URL Parameters”| Parameter | Description |
|---|---|
| product_id | The product to be edited |
Request Body Parameters
Section titled “Request Body Parameters”| Parameter | Description | Required |
|---|---|---|
| product_name | The description/title of the product. | False |
| amount | The non-zero, positive cost of the product. | False |
| inspection_type | ’interior’ or ‘exterior’ | False |
| requested_forms | A free text field that informs the vendor which forms are being ordered. | False |
Example Request
Section titled “Example Request”import requests
headers = { 'Authorization': 'Bearer {}'.format(REGGORA_AUTH_TOKEN), 'integration': '{}'.format(REGGORA_INTEGRATION_KEY)}
body = { 'product_name': 'Full Appraisal', 'amount': '100.00', 'inspection_type': 'interior', 'requested_forms': '1004MC, BPO'}
response = requests.put('https://sandbox.reggora.io/lender/product/<product_id>', json=body, headers=headers)Example Response
Section titled “Example Response”{ "data": "5b55d4c68d9472000fc432ef", "status": 200}